$('body').on('click', 'a', function(e) 
{
    var href,id_prontuario;
    
    if($(this).find('i.aceitarAnuncio').length)
    {
        e.preventDefault();
        target = base_url+'administrativo/ajax/imoveis_ajax/aceitar_imovel';
        data = getData($(this));
        setAjax(target, data);
        
    }
    else if($(this).find('i.negarAnuncio').length)
    {
        e.preventDefault();
        target = base_url+'administrativo/ajax/imoveis_ajax/negar_imovel';
        data = getData($(this));
        setAjax(target, data);
    }
    else if($(this).find('i.moderarAnuncio').length)
    {
        e.preventDefault();
        target = base_url+'administrativo/ajax/imoveis_ajax/moderar_imovel';
        data = getData($(this));
        setAjax(target, data);
    }
    else if($(this).find('i.verAnuncio').length)
    {
        e.preventDefault();
        window.open(base_url+'imovel/'+getId($(this)), '_blank');
    }
    else if($(this).find('i.addPremium').length)
    {
        e.preventDefault();
        
    }
    else if($(this).find('i.removePremium').length)
    {
        e.preventDefault();
        
    }
    
});

function getData(e)
{
    return {id_imovel: getId(e)};
}

function getId(e)
{
    href = e.attr('href');
    id_imovel = href.split('/');
    return $(id_imovel).last()[0];
}

function setAjax(target, data)
{
    alterarDeferred = $.Deferred();
	send_ajax(target,data,alterarDeferred);
	alterarDeferred.done(function(result)
    {
        $('.gc-refresh').trigger('click');
    });
}

function send_ajax(target,data,deferred)
{
    // consulta os campos do evento e cria a opção de seleção		
	request = $.ajax({
		url: target,
		dataType: 'json',
		type: 'POST',
		data: data,
		success: function(result)
		{
			deferred.resolve(result);
		},
		error: function(error)
		{
		    deferred.resolve(error);
		}				
	});
}